/*
 * Jovsonz library package comment
 *
 * This source-file is something special for SunJDK5.0 Javadoc or later.
 *
 * License : The MIT License
 * Copyright(c) 2009 olyutorskii
 */

/**
 * Jovsonz is a Java-library for JSON read/write purpose.
 * Jovsonz library was derived from Jindolf project.
 *
 * <hr>
 *
 * <p>
 * The MIT License
 * </p>
 * <p>
 * Copyright(c) 2009 olyutorskii
 * </p>
 * <p>
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * </p>
 * <p>
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * </p>
 * <p>
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 * </p>
 *
 * <hr>
 *
 * <h1>JSON基本型</h1>
 * <dl>
 * <dt>OBJECT型</dt>
 * <dd>{  "Name" : "Joe",  "Age" : 88  }</dd>
 * <dt>ARRAY型</dt>
 * <dd>[ true, "ABC", 23 ]</dd>
 * <dt>STRING型</dt>
 * <dd>"ABC"</dd>
 * <dt>NUMBER型</dt>
 * <dd>-12.34</dd>
 * <dt>BOOLEAN型</dt>
 * <dd>true</dd>
 * <dt>NULL型</dt>
 * <dd>null</dd>
 * </dl>
 *
 * @see <a href="http://json.org/">Introducing JSON</a>
 * @see <a href="http://json.org/json-ja.html">JSONの紹介</a>
 * @see <a href="http://www.ietf.org/rfc/rfc4627.txt">RFC4627</a>
 * @see <a href=
 * "http://ja.wikipedia.org/wiki/JavaScript_Object_Notation">
 * Wikipedia(ja)解説</a>
 * @see <a href=
 * "http://en.wikipedia.org/wiki/JavaScript_Object_Notation">
 * Wikipedia(en)</a>
 */

package jp.sourceforge.jovsonz;

/* EOF */
